<?php

// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
$mod_settings = array();

$tables = array();

$rows = array();

$columns = array();
$columns[] = array(
	'table' => '{db_prefix}boards',
	'info' => array(
		'name' => 'read_sticky',
		'type' => 'tinyint',
		'size' => 4,
		'default' => 0,
	),
);
	
/******************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\'s SSI.php.');

// Update the settings (if it wasn't empty)
if (!empty($mod_settings))
	updateSettings($mod_settings); 

db_extend('packages');

// Create new tables
if (!empty($tables))
	foreach ($tables as $table)
		$smcFunc['db_create_table']($table['table_name'], $table['columns'], $table['indexes'], $table['parameters'], $table['if_exists'], $table['error']);

// Insert rows into tables
if (!empty($rows))
	foreach ($rows as $row)
		$smcFunc['db_insert']($row['method'], $row['table_name'], $row['columns'], $row['data'], $row['keys']);
			
// Insert columsn into tables
if (!empty($columns))
	foreach ($columns as $column)
		$smcFunc['db_add_column']($column['table'], $column['info']);

if (SMF == 'SSI')
	redirectExit();

?>